[jira] [Commented] (CXF-7907) Change jaxb-api to jakarta.xml.bind-api artifact dependency

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (CXF-7907) Change jaxb-api to jakarta.xml.bind-api artifact dependency

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/CXF-7907?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16739203#comment-16739203 ]

Dennis Kieselhorst commented on CXF-7907:
-----------------------------------------

Hi [~ffang],

thanks for starting with the changes. I think we are not done yet. Some exclusions are necessary to avoid a mixture of the old and the new artifact. Moreover I wonder if we need an OSGi bundle for it.

In my view it would also make sense to set cxf.jaxb.version to 2.3.2 and also update the impl.

> Change jaxb-api to jakarta.xml.bind-api artifact dependency
> -----------------------------------------------------------
>
>                 Key: CXF-7907
>                 URL: https://issues.apache.org/jira/browse/CXF-7907
>             Project: CXF
>          Issue Type: Task
>            Reporter: Dennis Kieselhorst
>            Assignee: Freeman Fang
>            Priority: Minor
>             Fix For: 3.3.0
>
>
> see [https://github.com/eclipse-ee4j/jaxb-api/pull/66]
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)